package com.ruoyi.docking.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.docking.entity.SmartReminders;
import com.ruoyi.docking.entity.request.JAddJobSmart;
import com.ruoyi.docking.entity.request.SmartRemindersPageRequest;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;

/**
 * 智能提醒（j_smart_reminders）表数据访问层
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
public interface SmartRemindersMapper extends BaseMapper<SmartReminders> {

    /**
     * 分页查询所有数据
     *
     * @param page            分页对象
     * @param smartReminders 查询实体
     * @return 所有数据
     */
    Page<SmartReminders> page(Page<SmartReminders> page, @Param("req") SmartRemindersPageRequest smartReminders);

    /**
     * 新增数据到定时任务与定时提醒关联表
     */
    void addJobSmart(@Param("req") JAddJobSmart ja);


    /**
     * 根据智能提醒id查询定时任务
     */
    JAddJobSmart selectJobSmart(@Param("id") Long id);


    /**
     * 已读智能提醒
     *
     * @param id 主键
     * @return 单条数据
     */
    Boolean isRead(@Param("id") Serializable id);
}

